﻿using System.Data.Entity;
using Domain;
using Domain.Enums;

namespace DAL.Helpers
{
    class DbInit: DropCreateDatabaseIfModelChanges<AppDbContext>
    {
        protected override void Seed(AppDbContext context)
        {
            // base.Seed doesn't really do anything
            base.Seed(context);
            var p1 = new Person()
            {
                FirstName = "Arti",
                LastName = "Zirk",
                PersonType = PersonType.Student
            };
            var p2 = new Person()
            {
                FirstName = "Sala",
                LastName = "Kala",
                PersonType = PersonType.Teacher
            };

            var sub1 = new Subject()
            {
                SubjectName = "Best Cource"
            };

            var sub2 = new Subject()
            {
                SubjectName = "Worst Cource"
            };

            var cource = new Cource()
            {
                
            };
        }
    }
}
