﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;


namespace Domain
{
    public class Subject
    {
        public int SubjectId { get; set; }

        [MaxLength(128)]
        public string SubjectName { get; set; }

        // use virtual to allow entity framework lazy loading
        public virtual List<Cource> Cources { get; set; } = new List<Cource>();
    }
}
