﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfaces
{
    public interface IRespository<TEntry>
    {
        // suht halb, väljastab poolikuid sql päringuid
        // IQueryable<TEntry> All { get; }
        List<TEntry> All { get; }
        TEntry Find(int id);
        void Remove(int id);
        void Remove(TEntry entity);
        TEntry Add(TEntry entity);
        void Update(TEntry entity);
        int SaveChanges();
    }
}
